Subject: Re: Request for merging "qt-team" branch

From: 宋文武 <[email-masked]>
Date: Sun, 04 May 2025 13:11:45 +0800

Andreas Enge <[email-masked]> writes:

> Hello all,
>
> qt-team is almost built by QA:
>    https://qa.guix.gnu.org/branch/qt-team
> So far I see no newly failed builds, just a few blocked ones;
> if you think that the branch is ready, please feel free to push
> to master soon.

Hi, compared with master 15 packages are failed according to the data
service:

https://data.qa.guix.gnu.org/compare/package-derivations?base_commit=56999614a45449c4b93c8614540210b609c2b356&target_commit=49958a6a2ae31259d35bfb9ed5912db96643ce9a&system=x86_64-linux&target=none&build_change=broken&after_name=&limit_results=&all_results=on

florence                     0.6.3
gnuradio                     3.10.11.0
jami                         20240524.0
kconfig                      6.5.0
kdsoap-qt6                   2.2.0
kmime                        24.05.2
kwidgetsaddons               6.5.0
libnode                      22.14.0
obs-source-copy              0.2.4
obs-vkcapture                1.5.0
optizelle                    1.3.0-0.ed4160b
python-pytz-deprecation-shim 0.1.0.post0
python-tensorly              0.9.0
rust-jemalloc-ctl            0.5.4
savane                       3.10

Particularly kmime and kconfig, which block all other KDE packages, I
took a quick look but haven't figure them out.

I think we should fix those, while other branches (next is tex-team) can
go first.

Thanks.